%define name	colortail
%define version	0.3.0
%define release	2rph

%define build_mdk91 %(if [ `awk '{print $4}' /etc/mandrake-release` = 9.1 ];then echo 1; else echo 0; fi)
%define build_mdk90 %(if [ `awk '{print $4}' /etc/mandrake-release` = 9.0 ];then echo 1; else echo 0; fi)
%define build_mdk82 %(if [ `awk '{print $4}' /etc/mandrake-release` = 8.2 ];then echo 1; else echo 0; fi)
%define build_mdk81 %(if [ `awk '{print $4}' /etc/mandrake-release` = 8.1 ];then echo 1; else echo 0; fi)
%define build_mdk80 %(if [ `awk '{print $4}' /etc/mandrake-release` = 8.0 ];then echo 1; else echo 0; fi)
%define build_mdk72 %(if [ `awk '{print $4}' /etc/mandrake-release` = 7.2 ];then echo 1; else echo 0; fi)

Summary:	Colorized tail
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		colortail-0.3.0-gcc3.patch.bz2
License:	GPL
Group:		Console Tools
BuildRoot:	%{_tmppath}/%{name}-%{version}
URL:		http://www.student.hk-r.se/~pt98jan/colortail.html

%description
colortail is like tail but with color

%prep
%setup -q
%if !%{build_mdk72}
%patch0 -p1 -b .gcc3
%endif

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
%configure
%make

%install
%makeinstall

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc INSTALL README AUTHORS BUGS ChangeLog COPYING NEWS TODO
%doc example-conf/conf.*
%{_bindir}/colortail

%changelog
* Mon Mar 10 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.3.0-2rph
- build for 9.1

* Tue Dec  4 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.3.0-1rph
- first Mandrake version
